Class | Ramaze::Logger::Syslog
In: | lib/ramaze/log/syslog.rb
Parent: | Object

Logger class for writing to syslog. It is a very thin wrapper around the Syslog library.

### Methods

inspect log new

### Included Modules

Logging

### Public Class methods

new( *args )

Open the syslog library, if it is allready open, we reopen it using the new argument list. The argument list is passed on to the Syslog library so please check that, and man syslog for detailed information. There are 3 parameters:

      ident:  The identification used in the log file, defaults to $0
      options:  defaults to  Syslog::LOG_PID | Syslog::LOG_CONS
      facility: defaults to Syslog::LOG_USER

### Public Instance methods

inspect()

Has to call the modules singleton-method.

log(tag, *messages)

just sends all messages received to ::Syslog We simply return if the log was closed for some reason, this behavior was copied from Informer. We do not handle levels here. This will be done by te syslog daemon based on it‘s configuration.

[Validate]